<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <h1>
          Wallet Collection
        </h1>
        <div class="fm-row">
          <div class="col-sm-3">
            <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
              (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
              [matAutocomplete]="Drivers">
            <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
          <div class="col-sm-2">
            <button type="get" (click)="getWalletsOfUser();" class="btn btn-sm btn-primary blue">
              <i aria-hidden="true" class="fa fa-search"></i> Search</button>
            <button type="get" (click)="reset();" class="btn btn-sm btn-primary red">
              Reset</button>
          </div>
          <div class="col-sm-7">
            <div class="fm-row" *ngIf="walletData.length>0">
              <div class="col-sm-4">
                <input [(ngModel)]="amount" matInput placeholder="Amount" class="form-control" name="amount"
                  type='number'>
              </div>
              <div class="col-sm-4">
                <button type="get" (click)="collect();" class="btn btn-sm btn-primary blue">
                  Collect</button>
              </div>
            </div>
          </div>
          <div class="fm-row" style="margin-top: 8px;margin-bottom: 16px;" *ngIf="walletData.length>0">
            <div class="col-sm-12">
              <mat-card style="margin-top: 5px;">
                <p style="font-size: large;"><strong>Driver Details</strong></p>
                <p>{{walletData[0].driver_id.name}},{{walletData[0].driver_id.formatted_phone_number}}</p>
                <p>{{walletData[0].driver_id.emp_id}}</p>
              </mat-card>
              <mat-card style="margin-top: 5px;">
                <h3>Driver Wallets</h3>
                <span *ngIf="searchSubmit">
                  <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                </span>
                <div class="fm-row">
                  <div class="col-sm-3" *ngFor="let Wallet of walletData">
                    <mat-card style="margin:5px;" *ngIf="Wallet.wallet_type=='TDD'">
                      <p *ngIf="Wallet.wallet_type=='TDD'" class="text">Due Amount</p>
                      <p class="amount" *ngIf='allowcollect'>{{Wallet.balance}} AED</p>
                      <p class="amount" *ngIf='!allowcollect'>0.00 AED<p></p>
                    </mat-card>
                  </div>
                </div>
              </mat-card>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>